package riomhaire.lti.core.infrastructure.facades.clientregistration;


import riomhaire.lti.core.model.ClientConfiguration;
import riomhaire.lti.core.model.interfaces.ClientRegistrationResolver;

import java.util.Optional;

/**
 *  When a tool/partner-lms is registered we need to store this information somewhere ... and we have
 *  abstracted this out as a  'ClientRegistrationResolver'. Implementations of this interface  could be
 *  to a file, DB or Redis - but all the call wants to know about is I want to find out about this deployment
 *
 * This is a config file based implementation
 */
 public class ConfigBasedClientRegistrationResolver implements ClientRegistrationResolver {

    /**
     * Return the registration information related to this issuer/client-id pair
     * @param issuer    ... This is canvas/blackboard or some other entity
     * @param clientId  ... This is a particular tool within the issuer environment
     * @return  ClientConfiguration if found
     */
    @Override
    public Optional<ClientConfiguration> lookupClient(String issuer, String clientId) {
        return Optional.empty();
    }
}
